[05/16] radv: Change client version check.

Submitted by Bas Nieuwenhuizen on March 7, 2018, 2:47 p.m.

Details

Message ID 20180307144744.4816-5-bas@basnieuwenhuizen.nl
State Accepted
Series "Series without cover letter"
Commit 89651fba9bf95c4b1397aaf6cc24c062f44a83f2
Headers show

Commit Message

Bas Nieuwenhuizen March 7, 2018, 2:47 p.m.
Reviewed-by: Dave Airlie <airlied@redhat.com>
---
 src/amd/vulkan/radv_device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/src/amd/vulkan/radv_device.c b/src/amd/vulkan/radv_device.c
index f152c79e1c..0e584fc9dc 100644
--- a/src/amd/vulkan/radv_device.c
+++ b/src/amd/vulkan/radv_device.c
@@ -443,7 +443,7 @@  VkResult radv_CreateInstance(
 	}
 
 	if (VK_MAKE_VERSION(1, 0, 0) > client_version ||
-	    client_version > VK_MAKE_VERSION(1, 0, 0xfff)) {
+	    client_version > VK_MAKE_VERSION(1, 1, 0xfff)) {
 		return vk_errorf(VK_ERROR_INCOMPATIBLE_DRIVER,
 				 "Client requested version %d.%d.%d",
 				 VK_VERSION_MAJOR(client_version),